<template>
    <div class="search editor home">
        <input
            @focus="focused = true"
            @blur="focused = false"
            @input="handleInput"
            v-model="search"
            type="text"
            name="search"
        />
        <span class="icon" :class="{'focused': focused}">
            <app-icon icon="search"></app-icon>
        </span>
    </div>
</template>

<script lang='ts'>
import Vue from 'vue'
import Component from 'vue-class-component'

@Component
export default class SearchNode extends Vue {
    // Data

    focused: boolean = false
    search: string = ''

    // Methods

    handleInput() {
        this.$emit('search', this.search)
    }
}
</script>